/* CoolTran, traductor de trminos.
 * 
 * Copyright (C) 2007
 *
 * Authors: Javier Garca Palacios <jgarcia1709@gmail.com>
 *          Diego Sevillano de Miguel <sevas85@gmail.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston MA 02110-1301, USA.
 */

import java.awt.Color;
import java.awt.Font;
import javax.swing.JPanel;





public class PestanaWiki extends JPanel{
	
	
	private static final long serialVersionUID = 1L;
	
	//Declaramos los atributos de la clase
	PestanaWikiRegistro  panelRegistrar = null; 
	PestanaWikiAnadir  panelAnadir = null; 
	 
	 	
	 public PestanaWiki(){
		 
		//Configuro el Panel		 
		 
		this.setLayout(null);
		this.setFont(new Font("Dialog", Font.PLAIN, 14));
		this.setBackground(new Color(Integer.valueOf(Configuracion.propiedades.getProperty("colorprima1")), Integer.valueOf(Configuracion.propiedades.getProperty("colorprima2")), Integer.valueOf(Configuracion.propiedades.getProperty("colorprima3"))));
		this.setForeground(new Color(51, 51, 51));	
		
		//creo los paneles
		
		panelRegistrar = new PestanaWikiRegistro();
		panelAnadir = new PestanaWikiAnadir();
		
		//Aado los paneles
		
		this.add(panelRegistrar, null);
		this.add(panelAnadir, null);
		
		//Configuro la visibilidad
		
		panelAnadir.setVisible(false);
		panelRegistrar.setVisible(true);
		
				
	}
		public void cambiarColorInterfaz(){
			this.setBackground(new Color(Integer.valueOf(Configuracion.propiedades.getProperty("colorprima1")), Integer.valueOf(Configuracion.propiedades.getProperty("colorprima2")), Integer.valueOf(Configuracion.propiedades.getProperty("colorprima3"))));
			panelRegistrar.cambiarColorInterfaz();
			panelAnadir.cambiarColorInterfaz();
			
		}
		
		public void cambiarIdiomaInterfaz(){
			
			panelRegistrar.cambiarIdiomaInterfaz();
			panelAnadir.cambiarIdiomaInterfaz();
			
		}
		
	
	
	
	
	
}	

	


