/* CoolTran, traductor de trminos.
 * 
 * Copyright (C) 2007
 *
 * Authors: Javier Garca Palacios <jgarcia1709@gmail.com>
 *          Diego Sevillano de Miguel <sevas85@gmail.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston MA 02110-1301, USA.
 */
import java.awt.Color;
import java.awt.Font;
import java.awt.Rectangle;
import javax.swing.BorderFactory;
import javax.swing.JTextPane;
import javax.swing.border.BevelBorder;


public class PanelTexto extends JTextPane {


	private static final long serialVersionUID = 1L;
	
	//Variables Clase
	
	String cadTexto = "";

	public PanelTexto(int b1,int b2, int b3, int b4, boolean editable) {
		
		this.setBounds(new Rectangle(b1, b2, b3, b4));
		this.setForeground(Color.black);
		this.setBackground(Color.white);
		this.setEditable(editable);
		this.setBorder(BorderFactory.createBevelBorder(BevelBorder.LOWERED));
		this.setFont(new Font("Dialog", Font.BOLD, 12));
		
	}
	
	public PanelTexto(int b1,int b2, int b3, int b4, boolean editable , String mensaje) {
		
		this.setBounds(new Rectangle(b1, b2, b3, b4));	
		this.setForeground(Color.white);
        this.setBackground(new Color(Integer.valueOf(Configuracion.propiedades.getProperty("colorsecun1")), Integer.valueOf(Configuracion.propiedades.getProperty("colorsecun2")), Integer.valueOf(Configuracion.propiedades.getProperty("colorsecun3"))));
        this.setEditable(editable);
        this.setBorder(BorderFactory.createBevelBorder(BevelBorder.LOWERED));
		this.setText(Configuracion.messages.getString(mensaje));
		cadTexto= mensaje;
		
	}
	
	public void cambiarColorInterfaz(){
		this.setBackground(new Color(Integer.valueOf(Configuracion.propiedades.getProperty("colorsecun1")), Integer.valueOf(Configuracion.propiedades.getProperty("colorsecun2")), Integer.valueOf(Configuracion.propiedades.getProperty("colorsecun3"))));		
		
	}
	
	public void cambiarIdiomaInterfaz(){
		this.setText(Configuracion.messages.getString(cadTexto));
	}

}


